# Generated by Django 4.0.3 on 2022-04-11 11:48

from django.db import migrations, models


sequence_operations = [
    migrations.RunSQL(
        f'ALTER SEQUENCE {old} RENAME TO {new};',
        f'ALTER SEQUENCE {new} RENAME TO {old};')
    for old, new in (
        ('core_code_id_seq', 'core_repository_id_seq'),
        ('core_code_programming_languages_id_seq', 'core_repository_programming_languages_id_seq'),
        ('core_code_topics_id_seq', 'core_repository_topics_id_seq'),
        ('core_codeapi_id_seq', 'core_repositoryapi_id_seq'),
    )
]


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0024_repositorytopic_code_avatar_url_code_fork_count_and_more'),
    ]

    operations = [
        migrations.RenameModel(
            old_name='Code',
            new_name='Repository',
        ),
        migrations.RenameModel(
            old_name='CodeAPI',
            new_name='RepositoryAPI',
        ),
        migrations.RenameField(
            model_name='repositoryapi',
            old_name='code',
            new_name='repository',
        ),
        migrations.AlterModelOptions(
            name='repository',
            options={'verbose_name_plural': 'Repositories'},
        ),
        migrations.AlterField(
            model_name='repository',
            name='related_apis',
            field=models.ManyToManyField(related_name='related_repositories', through='core.RepositoryAPI', to='core.api'),
        ),
        migrations.AlterField(
            model_name='repository',
            name='programming_languages',
            field=models.ManyToManyField(related_name='repositories', to='core.programminglanguage'),
        ),
    ] + sequence_operations
